Page MenuHomePhabricator

Assign mass-upload flag to autopatrolled users on Commons
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2019, 10:08 PM
AlexisJazz updated the task description. (Show Details)Jun 20 2019, 10:24 PM
Restricted Application added a project: User-DannyS712. · View Herald TranscriptJun 20 2019, 11:24 PM

Change 518171 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Add "mass-upload" to autopatrollers and patrollers on commons

https://gerrit.wikimedia.org/r/518171

@DannyS712 thanks for the quick response! Perhaps move the "T214003" comment to the upload_by_url line, but that's just nitpicking.

4nn1l2 added a subscriber: 4nn1l2.Jun 21 2019, 9:42 AM

Hello, @AlexisJazz, thanks for filling the request. I need to note after deploying @DannyS712's patch, the technical limit for autopatrolled users would be 500 (same as for other holders of mass-upload right), instead of current 50 images. I see the closed voting asks for no limit, but since that's not easy as it looks like (that'll require approval from relevant WMF teams, since it might have performance impact). I'm going in favour of implementing the 500 limit, in case you'd appreciate a higher one, we can ask UploadWizard team for comments on this. Martin

Urbanecm triaged this task as Normal priority.Jun 21 2019, 1:43 PM
Urbanecm moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.

@Urbanecm in spirit, the vote was to determine the maximum allowable number. The outcome of the vote is either "unlimited" or "a finite number" depending on how much support you want. One million is a also a finite number, so it's the same in practice. So if UploadWizard would reliably start supporting a higher number in the future (who knows, could happen), autopatrolled users should get that. (this future-proofs the proposal) I imagine that higher number would be connected to the mass-upload flag anyway. At this moment, the technical limit is 500 so that's what it'll be. Anyone looking to upload more will probably prefer third party tools anyway.

Thanks @AlexisJazz for your explanation.

Change 518171 merged by jenkins-bot:
[operations/mediawiki-config@master] Add "mass-upload" to autopatrollers and patrollers on commons

https://gerrit.wikimedia.org/r/518171

Mentioned in SAL (#wikimedia-operations) [2019-06-24T18:19:21Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:518171|Add "mass-upload" to autopatrollers and patrollers on commons]] (T226217) (duration: 00m 55s)

Urbanecm closed this task as Resolved.Jun 24 2019, 6:22 PM

Deployed.